package tech.nevets.sfss;

import javax.net.ServerSocketFactory;
import javax.net.ssl.SSLServerSocket;
import javax.net.ssl.SSLServerSocketFactory;
import java.net.InetAddress;
import java.net.UnknownHostException;

public class Server {
    private final SSLServerSocket serverSocket;

    public Server(String host, int port) {
        InetAddress addr;
        try {
            addr = InetAddress.getByName(host);
        } catch (UnknownHostException e) {
            addr = null;
            System.out.println("Unknown Host:");
            e.printStackTrace();
        }
        SSLServerSocketFactory factory = (SSLServerSocketFactory) SSLServerSocketFactory.getDefault();
        serverSocket = (SSLServerSocket) factory.createServerSocket(port, 0, addr);
    }
}
